## pdb2pqr 2.1.1+dfsg

=== SConstruct ===
from os.path import isfile
import os

#Are we running from the installed version?
if isfile('pdb2pqr.py.in'):
    SConscript('SConscript-main.py')
else:
    #Allow test targets to run in installed version.
    env = Environment()
    if os.name == 'nt':
        env.Append(ENV={'PATH' : os.environ['PATH']})
    Export('env')  
    pdb2pqr = [File('pdb2pqr.py')]
    Export('pdb2pqr')   
    SConscript('tests/SConscript')

## pdb2pqr 1.7

=== debian/changelog ===
pdb2pqr (1.7-2) unstable; urgency=low

  * Pass -fPIC to compiler on all architectures. Closes: 636204. LP: 791313.
  * Bumped Standards-Version to 3.9.2. No changes needed.

 -- Manuel Prinz <manuel@debian.org>  Wed, 31 Aug 2011 00:22:15 +0200

pdb2pqr (1.7-1) unstable; urgency=low

  * New upstream release. Closes: #416269, #420734.

 -- Manuel Prinz <manuel@debian.org>  Sun, 30 Jan 2011 11:53:54 +0100

=== debian/control ===
Source: pdb2pqr
Section: science
Priority: optional
Maintainer: DebiChem Team <debichem-devel@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Manuel Prinz <manuel@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gfortran, swig, xmlto, openbabel,
 python-support, python-dev, python-numpy,
 autoconf, automake, libtool, autotools-dev
Standards-Version: 3.9.2
XS-Python-Version: 2.6
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pdb2pqr/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/pdb2pqr/trunk/
Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/

Package: pdb2pqr
XB-Python-Version: ${python:Versions}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
Suggests: apbs
Enhances: autodocktools
Description: Preparation of protein structures for electrostatics calculations
 PDB2PQR is a Python software package that automates many of the common
 tasks of preparing structures for continuum electrostatics calculations.
 It thus provides a platform-independent utility for converting protein files
 in PDB format to PQR format. These tasks include:
  * Adding a limited number of missing heavy atoms to biomolecular structures
  * Determining side-chain pKas
  * Placing missing hydrogens
  * Optimizing the protein for favorable hydrogen bonding
  * Assigning charge and radius parameters from a variety of force fields

Package: pdb2pqr-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: pdb2pqr
Description: example files accompanying pdb2pqr
 Files containing protein structures tend to become large very quickly and
 most users of this package will refrain from their installation, particularly
 on larger clusters.

Package: propka
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pdb2pqr
Description: Modify the protonation state of protein structures
 PropKa is a tool to modify the protonation state of a protein structure
 in the Protein Data Bank (PDB) format to match a given pKa value.
 It can also be used to refine NMR structures, which often yield 
 inaccurate pKa values for some residues.
 .
 The PROPKA method is described in Hui Li, Andrew D. Robertson, and
 Jan H. Jensen "Very Fast Empirical Prediction and Interpretation of 
 Protein pKa Values" Proteins, 2005, 61, 704-721

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

PACKAGE  := $(firstword $(shell dh_listpackages))
VERSION  := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
UPSTREAM := $(shell echo "$(VERSION)"   | sed 's/-.\+$$//')

%:
	dh $@

# Compile with -fPIC on all platforms (fix for #636204)
override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(dpkg-buildflags --get CFLAGS) -fPIC" FFLAGS="$(dpkg-buildflags --get FFLAGS) -fPIC"

# Disable tests, as they need an internet connection to download files
override_dh_auto_test:

override_dh_auto_install:
# Fix !#/bin/env shebang: substitute with #!/usr/bin/python
	sed -i -e '1c#!/usr/bin/python' pdb2pka/inputgen_pKa.py
# Install Debian-provided stuff
#   Install wrappers
	for app in /usr/share/pdb2pqr/pdb2pqr.py /usr/share/pdb2pqr/src/psize.py; do \
		sed -e "s,@SCRIPT@,$${app}," debian/wrapper.sh \
			>debian/pdb2pqr/usr/bin/$$(basename $${app} .py) && \
		chmod 0755 debian/pdb2pqr/usr/bin/$$(basename $${app} .py); \
	done
#   Install man pages
	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/pdb2pqr.1.xml
	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/psize.1.xml
	xmlto -o debian/propka/usr/share/man/man1/  man debian/propka.1.xml
	dh_auto_install

override_dh_fixperms:
	dh_fixperms
	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/main.py
	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/main_cgi.py
	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/ligandclean/__init__.py
	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pka_routines.py
	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKaIO_compat.py
	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKa_utility_functions_compat.py

.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source
	mkdir -p get-orig-source
	uscan --no-conf --no-symlink --force-download --download-current-version --destdir=get-orig-source
	tar xzf get-orig-source/$(PACKAGE)-$(UPSTREAM).tar.gz -C get-orig-source \
		--exclude="contrib" \
		--exclude="jmol"
	mv get-orig-source/$(PACKAGE)-$(UPSTREAM) get-orig-source/$(PACKAGE)-$(UPSTREAM).repack
	GZIP='--best --no-name' tar czf ../$(PACKAGE)_$(UPSTREAM).orig.tar.gz -C get-orig-source $(PACKAGE)-$(UPSTREAM).repack
	rm -rf get-orig-source

## pdb2pqr 1.8

=== debian/changelog ===
pdb2pqr (1.8-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add publication information

  [ Manuel Prinz ]
  * New upstream version. Updated debian/copyright.
  * Updated Standards-Version to 3.9.3. No changes needed.
  * Changed Maintainer to Debian Med team.
  * Pass -fPIC to CXXFLAGS. Thanks to Konstantinos Margaritis for the patch!
    Closes: 654240. LP: 935357.
  * Updated PROPKA packaging to new version. (It's written in Python now.)
  * Added fix-hashbangs.patch.
  * Merged pdb2pqr and propka packages as they are more interconnected since
    this upstream version. Updated README.Debian accordingly.

 -- Manuel Prinz <manuel@debian.org>  Thu, 21 Jun 2012 16:21:50 +0200

=== debian/control ===
Source: pdb2pqr
Section: science
Priority: optional
Maintainer: Debian Med <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Steffen Moeller <moeller@debian.org>, Manuel Prinz <manuel@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), gfortran, swig, xmlto, openbabel,
 autoconf, automake, libtool, autotools-dev, python-dev, python-numpy,
Standards-Version: 3.9.3
XS-Python-Version: 2.7
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pdb2pqr/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/pdb2pqr/trunk/
Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/

Package: pdb2pqr
XB-Python-Version: ${python:Versions}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
Suggests: apbs
Enhances: autodocktools
Provides: propka
Conflicts: propka
Replaces: propka
Description: Preparation of protein structures for electrostatics calculations
 PDB2PQR is a Python software package that automates many of the common
 tasks of preparing structures for continuum electrostatics calculations.
 It thus provides a platform-independent utility for converting protein files
 in PDB format to PQR format. These tasks include:
  * Adding a limited number of missing heavy atoms to biomolecular structures
  * Determining side-chain pKas
  * Placing missing hydrogens
  * Optimizing the protein for favorable hydrogen bonding
  * Assigning charge and radius parameters from a variety of force fields
 .
 This package also includes PropKa, a tool to modify the protonation state of
 protein structures in the Protein Data Bank (PDB) format to match a given pKa
 value. It can also be used to refine NMR structures, which often yield 
 inaccurate pKa values for some residues.

Package: pdb2pqr-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: pdb2pqr
Description: example files accompanying pdb2pqr
 Files containing protein structures tend to become large very quickly and
 most users of this package will refrain from their installation, particularly
 on larger clusters.

=== debian/rules ===
--- 
+++ 
@@ -5,19 +5,32 @@
 VERSION  := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
 UPSTREAM := $(shell echo "$(VERSION)"   | sed 's/-.\+$$//')
 
+# Compile with -fPIC on all platforms (fix for #636204, #654240)
+CFLAGS   += -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
+CPPFLAGS += -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
+CXXFLAGS += -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
+FFLAGS   += -fPIC
+
 %:
-	dh $@
+	dh $@ --with python2
 
-# Compile with -fPIC on all platforms (fix for #636204)
+override_dh_auto_clean:
+	( cd pdb2pka && \
+	  if [ -e pMC_mult_wrap.cpp.saved ]; then mv pMC_mult_wrap.cpp.saved pMC_mult_wrap.cpp; fi && \
+	  if [ -e pMC_mult.py.saved ]; then mv pMC_mult.py.saved pMC_mult.py; fi )
+	dh_auto_clean
+
 override_dh_auto_configure:
-	dh_auto_configure -- CFLAGS="$(dpkg-buildflags --get CFLAGS) -fPIC" FFLAGS="$(dpkg-buildflags --get FFLAGS) -fPIC"
+	dh_auto_configure -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" FFLAGS="$(FFLAGS)" LDFLAGS="$(LDFLAGS)"
+	( cd pdb2pka && \
+	  cp -a pMC_mult_wrap.cpp pMC_mult_wrap.cpp.saved && \
+	  cp -a pMC_mult.py pMC_mult.py.saved && \
+	  swig -c++ -python -o pMC_mult_wrap.cpp pMC_mult.i )
 
 # Disable tests, as they need an internet connection to download files
 override_dh_auto_test:
 
 override_dh_auto_install:
-# Fix !#/bin/env shebang: substitute with #!/usr/bin/python
-	sed -i -e '1c#!/usr/bin/python' pdb2pka/inputgen_pKa.py
 # Install Debian-provided stuff
 #   Install wrappers
 	for app in /usr/share/pdb2pqr/pdb2pqr.py /usr/share/pdb2pqr/src/psize.py; do \
@@ -25,11 +38,16 @@
 			>debian/pdb2pqr/usr/bin/$$(basename $${app} .py) && \
 		chmod 0755 debian/pdb2pqr/usr/bin/$$(basename $${app} .py); \
 	done
+	for app in /usr/share/pdb2pqr/propka30/propka.py; do \
+		sed -e "s,@SCRIPT@,$${app}," debian/wrapper.sh \
+			>debian/pdb2pqr/usr/bin/$$(basename $${app} .py) && \
+		chmod 0755 debian/pdb2pqr/usr/bin/$$(basename $${app} .py); \
+	done
 #   Install man pages
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/pdb2pqr.1.xml
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/psize.1.xml
-	xmlto -o debian/propka/usr/share/man/man1/  man debian/propka.1.xml
-	dh_auto_install
+	xmlto -o debian/pdb2pqr/usr/share/man/man1/  man debian/propka.1.xml
+#	dh_auto_install
 
 override_dh_fixperms:
 	dh_fixperms
@@ -39,6 +57,7 @@
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pka_routines.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKaIO_compat.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKa_utility_functions_compat.py
+	chmod 0755 debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
 
 .PHONY: get-orig-source
 get-orig-source:

=== debian/watch ===
version=3
http://sf.net/pdb2pqr/pdb2pqr-(.*)\.tar\.gz

## pdb2pqr 1.8+dfsg

=== debian/changelog ===
pdb2pqr (1.8+dfsg-1) unstable; urgency=low

  [ Manuel Prinz ]
  * Fixed build issues on HURD. Thanks to Barry deFreese for the patch!
    Closes: 674976.
  * Pass hardening flags to linker. Added fix-hardening.patch, changed
    debian/rules.

  [ Andreas Tille ]
  * Use '+dfsg' appendix to mark repackaged upstream source (adapted
    debian/watch)
  * debian/rules:
     - repackaging is done using enhanced uscan
     - s/autotools-dev/autotools_dev/
       Closes: #727491
  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs fields
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 24 Oct 2013 09:34:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,38 @@
 Source: pdb2pqr
+Maintainer: Debian Med <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Manuel Prinz <manuel@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Steffen Moeller <moeller@debian.org>, Manuel Prinz <manuel@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), gfortran, swig, xmlto, openbabel,
- autoconf, automake, libtool, autotools-dev, python-dev, python-numpy,
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               gfortran,
+               swig,
+               xmlto,
+               openbabel,
+               autoconf,
+               automake,
+               libtool,
+               autotools-dev,
+               python-dev,
+               python-numpy
+Standards-Version: 3.9.4
 XS-Python-Version: 2.7
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/pdb2pqr/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/pdb2pqr/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/pdb2pqr/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pdb2pqr/trunk/
 Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/
 
 Package: pdb2pqr
 XB-Python-Version: ${python:Versions}
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         python-numpy
 Suggests: apbs
 Enhances: autodocktools
+Conflicts: propka
 Provides: propka
-Conflicts: propka
 Replaces: propka
 Description: Preparation of protein structures for electrostatics calculations
  PDB2PQR is a Python software package that automates many of the common
@@ -39,8 +51,8 @@
  inaccurate pKa values for some residues.
 
 Package: pdb2pqr-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Recommends: pdb2pqr
 Description: example files accompanying pdb2pqr

=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,13 @@
 UPSTREAM := $(shell echo "$(VERSION)"   | sed 's/-.\+$$//')
 
 # Compile with -fPIC on all platforms (fix for #636204, #654240)
-CFLAGS   += -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
-CPPFLAGS += -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
-CXXFLAGS += -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
-FFLAGS   += -fPIC
+export DEB_CFLAGS_MAINT_APPEND   = -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
+export DEB_CPPFLAGS_MAINT_APPEND = -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
+export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
+export DEB_FFLAGS_MAINT_APPEND   = -fPIC
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --with autotools_dev
 
 override_dh_auto_clean:
 	( cd pdb2pka && \
@@ -21,7 +21,7 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	dh_auto_configure -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" FFLAGS="$(FFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_configure
 	( cd pdb2pka && \
 	  cp -a pMC_mult_wrap.cpp pMC_mult_wrap.cpp.saved && \
 	  cp -a pMC_mult.py pMC_mult.py.saved && \
@@ -59,14 +59,10 @@
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKa_utility_functions_compat.py
 	chmod 0755 debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
 
-.PHONY: get-orig-source
+# Remark: The following uscan command requires devscripts > 2.12.4 which is not
+#         yet released at the time of this package release.  The code can be obtained
+#         via
+#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
+#         and then use scripts/uscan.pl
 get-orig-source:
-	rm -rf get-orig-source
-	mkdir -p get-orig-source
-	uscan --no-conf --no-symlink --force-download --download-current-version --destdir=get-orig-source
-	tar xzf get-orig-source/$(PACKAGE)-$(UPSTREAM).tar.gz -C get-orig-source \
-		--exclude="contrib" \
-		--exclude="jmol"
-	mv get-orig-source/$(PACKAGE)-$(UPSTREAM) get-orig-source/$(PACKAGE)-$(UPSTREAM).repack
-	GZIP='--best --no-name' tar czf ../$(PACKAGE)_$(UPSTREAM).orig.tar.gz -C get-orig-source $(PACKAGE)-$(UPSTREAM).repack
-	rm -rf get-orig-source
+	uscan --verbose --force-download --repack-compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/[~+]dfsg[0-9]*// \
  http://sf.net/pdb2pqr/pdb2pqr-(.*)\.tar\.gz

## pdb2pqr 1.9.0+dfsg

=== debian/changelog ===
pdb2pqr (1.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adapted watch file
  * Move debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * debian/patches/no_privacy_breach_logo.patch: remove potential
    privacy breach logo
  * drop autotools from Build-Depends since build system was changed

 -- Andreas Tille <tille@debian.org>  Sat, 19 Apr 2014 15:49:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,16 @@
                swig,
                xmlto,
                openbabel,
-               autoconf,
-               automake,
-               libtool,
-               autotools-dev,
                python-dev,
-               python-numpy
-Standards-Version: 3.9.4
-XS-Python-Version: 2.7
+               python-numpy,
+               scons
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/pdb2pqr/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pdb2pqr/trunk/
 Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/
+X-Python-Version: 2.7
 
 Package: pdb2pqr
-XB-Python-Version: ${python:Versions}
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -31,7 +27,6 @@
          python-numpy
 Suggests: apbs
 Enhances: autodocktools
-Conflicts: propka
 Provides: propka
 Replaces: propka
 Description: Preparation of protein structures for electrostatics calculations

=== debian/rules ===
--- 
+++ 
@@ -12,23 +12,28 @@
 export DEB_FFLAGS_MAINT_APPEND   = -fPIC
 
 %:
-	dh $@ --with python2 --with autotools_dev
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	( cd pdb2pka && \
 	  if [ -e pMC_mult_wrap.cpp.saved ]; then mv pMC_mult_wrap.cpp.saved pMC_mult_wrap.cpp; fi && \
 	  if [ -e pMC_mult.py.saved ]; then mv pMC_mult.py.saved pMC_mult.py; fi )
+	find . -name *.pyc -delete
+	find . -name *.so -delete
+	find . -name *.os -delete
+	rm -f *.cgi .sconsign.dblite .variables.cache pdb2pqr.py html/server.html src/aconf.py
 	dh_auto_clean
 
 override_dh_auto_configure:
 	dh_auto_configure
+	python scons/scons.py
 	( cd pdb2pka && \
 	  cp -a pMC_mult_wrap.cpp pMC_mult_wrap.cpp.saved && \
 	  cp -a pMC_mult.py pMC_mult.py.saved && \
 	  swig -c++ -python -o pMC_mult_wrap.cpp pMC_mult.i )
 
 # Disable tests, as they need an internet connection to download files
-override_dh_auto_test:
+# override_dh_auto_test:
 
 override_dh_auto_install:
 # Install Debian-provided stuff
@@ -57,7 +62,11 @@
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pka_routines.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKaIO_compat.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKa_utility_functions_compat.py
+	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/src/errors.py
 	chmod 0755 debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog.md
 
 # Remark: The following uscan command requires devscripts > 2.12.4 which is not
 #         yet released at the time of this package release.  The code can be obtained
@@ -65,4 +74,4 @@
 #   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
 #         and then use scripts/uscan.pl
 get-orig-source:
-	uscan --verbose --force-download --repack-compression xz
+	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/[~+]dfsg[0-9]*//,uversionmangle=s/src-// \
  http://sf.net/pdb2pqr/pdb2pqr-[src-]*(\d[\d.]+)\.tar\.gz

## pdb2pqr 2.0.0+dfsg

=== debian/changelog ===
pdb2pqr (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Fix bashism
    Closes: #772350
  * Make the build reproducible by preseting URL and PREFIX (thanks for the
    patch to Reiner Herrmann <reiner@reiner-h.de>)
    Closes: #785546

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2015 09:31:58 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-dev,
                python-numpy,
                scons
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/pdb2pqr/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pdb2pqr/trunk/
 Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	python scons/scons.py
+	python scons/scons.py \
+		URL="http://localhost/pdb2pqr/" \
+		PREFIX="/usr/share/pdb2pqr"
 	( cd pdb2pka && \
 	  cp -a pMC_mult_wrap.cpp pMC_mult_wrap.cpp.saved && \
 	  cp -a pMC_mult.py pMC_mult.py.saved && \
@@ -68,10 +70,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.md
 
-# Remark: The following uscan command requires devscripts > 2.12.4 which is not
-#         yet released at the time of this package release.  The code can be obtained
-#         via
-#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
-#         and then use scripts/uscan.pl
 get-orig-source:
 	uscan --verbose --force-download --repack --compression xz

## pdb2pqr 2.1.0+dfsg

=== debian/changelog ===
pdb2pqr (2.1.0+dfsg-1) unstable; urgency=medium

  * Moved to Git
  * New upstream version
  * Add lintian overrides for false positives source-is-missing
  * Remove unused JS files via Files-Excluded

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 11:06:14 +0100

pdb2pqr (2.0.0+dfsg-2) unstable; urgency=medium

  * Enable building arch independent packages separately
    Closes: #806222
  * Remove obsolete debian/pycompat

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2015 20:08:19 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python-numpy,
                scons
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/pdb2pqr/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/pdb2pqr/trunk/
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pdb2pqr.git
+Vcs-Git: git://anonscm.debian.org/debian-med/pdb2pqr.git
 Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/
 X-Python-Version: 2.7

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,8 @@
 # Disable tests, as they need an internet connection to download files
 # override_dh_auto_test:
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
+	dh_auto_install -a
 # Install Debian-provided stuff
 #   Install wrappers
 	for app in /usr/share/pdb2pqr/pdb2pqr.py /usr/share/pdb2pqr/src/psize.py; do \
@@ -50,14 +51,15 @@
 			>debian/pdb2pqr/usr/bin/$$(basename $${app} .py) && \
 		chmod 0755 debian/pdb2pqr/usr/bin/$$(basename $${app} .py); \
 	done
-#   Install man pages
+
+override_dh_installman-arch:
+	dh_installman -a
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/pdb2pqr.1.xml
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/psize.1.xml
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/  man debian/propka.1.xml
-#	dh_auto_install
 
-override_dh_fixperms:
-	dh_fixperms
+override_dh_fixperms-arch:
+	dh_fixperms -a
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/main.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/main_cgi.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/ligandclean/__init__.py

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/[~+]dfsg[0-9]*//,uversionmangle=s/src-//" \
  http://sf.net/pdb2pqr/pdb2pqr-[src-]*(\d[\d.]+)\.tar\.gz

## pdb2pqr 2.1.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PACKAGE  := $(firstword $(shell dh_listpackages))
 VERSION  := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
@@ -26,37 +28,27 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	python scons/scons.py \
-		URL="http://localhost/pdb2pqr/" \
-		PREFIX="/usr/share/pdb2pqr"
 	( cd pdb2pka && \
 	  cp -a pMC_mult_wrap.cpp pMC_mult_wrap.cpp.saved && \
 	  cp -a pMC_mult.py pMC_mult.py.saved && \
 	  swig -c++ -python -o pMC_mult_wrap.cpp pMC_mult.i )
+	python scons/scons.py \
+		URL="http://localhost/pdb2pqr/" \
+		PREFIX="/usr/share/pdb2pqr"
 
 # Disable tests, as they need an internet connection to download files
 # override_dh_auto_test:
-
-override_dh_auto_install-arch:
-	dh_auto_install -a
-# Install Debian-provided stuff
-#   Install wrappers
-	for app in /usr/share/pdb2pqr/pdb2pqr.py /usr/share/pdb2pqr/src/psize.py; do \
-		sed -e "s,@SCRIPT@,$${app}," debian/wrapper.sh \
-			>debian/pdb2pqr/usr/bin/$$(basename $${app} .py) && \
-		chmod 0755 debian/pdb2pqr/usr/bin/$$(basename $${app} .py); \
-	done
-	for app in /usr/share/pdb2pqr/propka30/propka.py; do \
-		sed -e "s,@SCRIPT@,$${app}," debian/wrapper.sh \
-			>debian/pdb2pqr/usr/bin/$$(basename $${app} .py) && \
-		chmod 0755 debian/pdb2pqr/usr/bin/$$(basename $${app} .py); \
-	done
 
 override_dh_installman-arch:
 	dh_installman -a
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/pdb2pqr.1.xml
 	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/psize.1.xml
-	xmlto -o debian/pdb2pqr/usr/share/man/man1/  man debian/propka.1.xml
+	xmlto -o debian/pdb2pqr/usr/share/man/man1/ man debian/propka.1.xml
+
+override_dh_install-arch:
+	dh_install -a
+	dos2unix debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
+	dos2unix debian/pdb2pqr/usr/share/pdb2pqr/src/psize.py
 
 override_dh_fixperms-arch:
 	dh_fixperms -a
@@ -67,10 +59,8 @@
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKaIO_compat.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/pdb2pka/pKa_utility_functions_compat.py
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/src/errors.py
-	chmod 0755 debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
+	chmod +x debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
+	chmod +x debian/pdb2pqr/usr/share/pdb2pqr/src/psize.py
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.md
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz

## pdb2pqr 2.1.1+dfsg

=== debian/changelog ===
pdb2pqr (2.1.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Add an autopkgtest for propka.
  * Fix Python problem causing crashes in propka.
  * Source moved to GitHub.

 -- Andrius Merkys <merkys@debian.org>  Thu, 10 Feb 2022 09:28:48 -0500

pdb2pqr (2.1.1+dfsg-7) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible
    Closes: #955287

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Mar 2020 18:03:49 +0200

pdb2pqr (2.1.1+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * python3_scons.patch, python3_sundry.patch port Scons and other
    sundry files from Python2 to Python3 missed by upstream PR#516.
    Closes: #937262.
  * Re-activate other part of autopkgtest
  * debhelper-compat 12
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/copyright
  * Remove obsolete field Name from debian/upstream/metadata.
  * Use Debian packaged scons
  TODO: convince scons to install do $(CURDIR)/debian/tmp

  [ Drew Parsons ]
  * Use python3_PR516.patch to apply upstream PR#516 porting from
    Python2 to Python3.
  * python3_scriptbang.patch updates script hashbangs to python3
  * Standards-Version: 4.5.0
  * close privacy breach by replacing hrefs to
    http://agave.wustl.edu/css/baker.css (which is no longer
    available) to baker.css

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Mar 2020 03:08:11 +0800

pdb2pqr (2.1.1+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Build-Depends: dh-python

  [ Andrius Merkys ]
  * Fixing autopkgtest 'installation-test' by substituting non-existent PDB
    file with an existing one. Removing autopkgtest 'ligands-test' as it
    depended on files that are not shipped by the upstream anymore.
    (Closes: #903759)

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 May 2019 01:52:46 -0400

pdb2pqr (2.1.1+dfsg-4) unstable; urgency=medium

  * Adapt test to new location of examples
    Closes: #903759

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 16:09:27 +0200

pdb2pqr (2.1.1+dfsg-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Tatiana Malygina ]
  * Enhance README.test and README.Debian

  [ Andreas Tille ]
  * Remove ancient X-Python-Version field
  * Fix Homepage
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * d/rules: do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 23:21:02 +0200

pdb2pqr (2.1.1+dfsg-2) unstable; urgency=medium

  [ Tatiana Malygina ]
  * Team upload.
  * add README.test, docs, examples and simple testsuite
  * enable hardening
  * add patch to remove hardening-no-relro warning
  * improved tests: add separate tests for use with pdb2pqr-doc installed and
    without it
  * found parameter set when error raised (described in `pdb2pka-test`
    in testsuite), updated d/docs
  * fixed `pdb2pqr-test` - now should work ok (haven't checked with apbs yet)
  * add patch to remove debug-file-with-no-debug-symbols warning (turn on debug)
  * add networkx to d/control and test dependencies, mention in README.test
  * fix order of commands in debian/rules - override_dh_auto_configure:
    scons is now called after several files are regenerated with swig.
  * updated README.test + README.Debian

  [ Andreas Tille ]
  * Drop unused lintian overrides

 -- Tatiana Malygina <merlettaia@gmail.com>  Mon, 13 Jun 2016 15:31:19 +0000

pdb2pqr (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Add new options to d/watch
  * cme fix dpkg-control
  * drop wrapper and use links instead
  * fix interpreter lines by dos2unix

 -- Andreas Tille <tille@debian.org>  Sat, 07 May 2016 23:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,34 @@
 Source: pdb2pqr
-Maintainer: Debian Med <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Manuel Prinz <manuel@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                gfortran,
                swig,
                xmlto,
                openbabel,
-               python-dev,
-               python-numpy,
-               scons
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pdb2pqr.git
-Vcs-Git: git://anonscm.debian.org/debian-med/pdb2pqr.git
-Homepage: http://pdb2pqr.poissonboltzmann.org/pdb2pqr/
-X-Python-Version: 2.7
+               python3-dev,
+               python3-numpy,
+               scons (>= 3.1.1-4),
+               dos2unix,
+               pkg-config
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/pdb2pqr
+Vcs-Git: https://salsa.debian.org/med-team/pdb2pqr.git
+Homepage: https://www.poissonboltzmann.org
+Rules-Requires-Root: no
 
 Package: pdb2pqr
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends},
-         python-numpy
+         ${python3:Depends},
+         python3-numpy,
+         python3-networkx
 Suggests: apbs
 Enhances: autodocktools
 Provides: propka
@@ -42,11 +46,12 @@
  .
  This package also includes PropKa, a tool to modify the protonation state of
  protein structures in the Protein Data Bank (PDB) format to match a given pKa
- value. It can also be used to refine NMR structures, which often yield 
+ value. It can also be used to refine NMR structures, which often yield
  inaccurate pKa values for some residues.
 
 Package: pdb2pqr-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: pdb2pqr

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 # -*- mode: makefile; coding: utf-8 -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-PACKAGE  := $(firstword $(shell dh_listpackages))
-VERSION  := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
-UPSTREAM := $(shell echo "$(VERSION)"   | sed 's/-.\+$$//')
 
 # Compile with -fPIC on all platforms (fix for #636204, #654240)
 export DEB_CFLAGS_MAINT_APPEND   = -fPIC -I/usr/share/pyshared/numpy/core/include/numpy
@@ -14,7 +10,7 @@
 export DEB_FFLAGS_MAINT_APPEND   = -fPIC
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	( cd pdb2pka && \
@@ -32,7 +28,7 @@
 	  cp -a pMC_mult_wrap.cpp pMC_mult_wrap.cpp.saved && \
 	  cp -a pMC_mult.py pMC_mult.py.saved && \
 	  swig -c++ -python -o pMC_mult_wrap.cpp pMC_mult.i )
-	python scons/scons.py \
+	scons \
 		URL="http://localhost/pdb2pqr/" \
 		PREFIX="/usr/share/pdb2pqr"
 
@@ -50,6 +46,16 @@
 	dos2unix debian/pdb2pqr/usr/share/pdb2pqr/propka30/propka.py
 	dos2unix debian/pdb2pqr/usr/share/pdb2pqr/src/psize.py
 
+override_dh_installexamples:
+	dh_installexamples
+	for bakerdoc in $$( grep -l "http://agave.wustl.edu/css/baker.css" -R debian/pdb2pqr-doc/usr/share/doc/pdb2pqr/* ); do \
+	  sed "s|href=\"http://agave.wustl.edu/css/baker.css\"|href=\"baker.css\"|g" -i $$bakerdoc; done
+
+override_dh_link-arch:
+	dh_link -a
+	dh_link -a usr/lib/pdb2pqr/pdb2pka/$(shell basename `find . -name "_pMC_mult*.so"`)		usr/share/pdb2pqr/pdb2pka/_pMC_mult.so
+	dh_link -a usr/lib/pdb2pqr/pdb2pka/substruct/$(shell basename `find . -name "Algorithms*.so"`)	usr/share/pdb2pqr/pdb2pka/substruct/Algorithms.so
+
 override_dh_fixperms-arch:
 	dh_fixperms -a
 	chmod 0644 debian/pdb2pqr/usr/share/pdb2pqr/main.py

=== debian/tests/control ===
Tests: installation-test
Depends: pdb2pqr
Restrictions: allow-stderr

Tests: pdb2pka-test
Depends: @, python3-networkx
Restrictions: allow-stderr

Tests: propka-test
Depends: @

## pdb2pqr 3.5.2+dfsg

=== debian/changelog ===
pdb2pqr (3.5.2+dfsg-3) unstable; urgency=medium

  * Standards-Version: 4.6.2 (routine-update)
  * cme fix dpkg-control
  * Drop version restriction from docutils
    Closes: #1030444

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 09:02:21 +0100

pdb2pqr (3.5.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add missing pytest-3 autopkgtest dependencies.
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Mar 2022 01:27:58 -0400

pdb2pqr (3.5.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.2+dfsg (Closes: #1005971)
  * New binary package for Python3 module.
  * Propka is no longer provided (separate source package now).
  * Update Files-Excluded in debian/copyright.
  * Ignore tests requiring network access.
  * Update patches, debian/copyright and debian/README.test.
  * Drop debian/README.Debian: not needed any more.

 -- Andrius Merkys <merkys@debian.org>  Thu, 03 Mar 2022 02:49:34 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%,repacksuffix=+dfsg,dversionmangle=s/[~+]dfsg[0-9]*//,repack,compression=xz" \
 https://github.com/Electrostatics/pdb2pqr/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pdb2pqr 3.6.1%2Bdfsg

=== debian/changelog ===
pdb2pqr (3.6.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 3.6.1+dfsg
  * Update patch to skip propka network test

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 23:05:08 +0530

## pdb2pqr 3.6.1+dfsg

=== debian/changelog ===
pdb2pqr (3.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-propka in BD. Closes: #1116836.
  * d/control: Drop "Rules-Requires-Root: no", it's the default.
  * d/control: Drop "Priority: optional", it's the default.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 15:30:00 +0200

=== debian/control ===
Source: pdb2pqr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Manuel Prinz <manuel@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-sphinxdoc,
               help2man,
               python3-dev,
               python3-numpy,
               python3-pdbx,
               python3-pandas <!nocheck>,
               python3-propka,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx-rtd-theme,
               python3-testfixtures <!nocheck>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/pdb2pqr
Vcs-Git: https://salsa.debian.org/med-team/pdb2pqr.git
Homepage: https://www.poissonboltzmann.org

Package: pdb2pqr
Architecture: all
Depends: python3-numpy,
         python3-pdb2pqr,
         ${misc:Depends},
         ${python3:Depends}
Suggests: apbs
Description: Preparation of protein structures for electrostatics calculations
 PDB2PQR is a Python software package that automates many of the common
 tasks of preparing structures for continuum electrostatics calculations.
 It thus provides a platform-independent utility for converting protein files
 in PDB format to PQR format. These tasks include:
  * Adding a limited number of missing heavy atoms to biomolecular structures
  * Determining side-chain pKas
  * Placing missing hydrogens
  * Optimizing the protein for favorable hydrogen bonding
  * Assigning charge and radius parameters from a variety of force fields

Package: pdb2pqr-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: pdb2pqr
Description: example files accompanying pdb2pqr
 Files containing protein structures tend to become large very quickly and
 most users of this package will refrain from their installation, particularly
 on larger clusters.

Package: python3-pdb2pqr
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Preparation of protein structures for electrostatics calculations
 PDB2PQR is a Python software package that automates many of the common
 tasks of preparing structures for continuum electrostatics calculations.
 It thus provides a platform-independent utility for converting protein files
 in PDB format to PQR format. These tasks include:
  * Adding a limited number of missing heavy atoms to biomolecular structures
  * Determining side-chain pKas
  * Placing missing hydrogens
  * Optimizing the protein for favorable hydrogen bonding
  * Assigning charge and radius parameters from a variety of force fields

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Prevent network access:
export http_proxy  = 127.0.0.1:9
export https_proxy = 127.0.0.1:9

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/source build/html

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -p pdb2pqr-doc --doc-main-package pdb2pqr build/html

override_dh_installman:
	PYTHONPATH=. help2man debian/pdb2pqr/usr/bin/dx2cube --no-info --version-string $(DEB_VERSION_UPSTREAM) > dx2cube.1
	PYTHONPATH=. help2man debian/pdb2pqr/usr/bin/inputgen --no-info --version-string $(DEB_VERSION_UPSTREAM) > inputgen.1
	PYTHONPATH=. help2man debian/pdb2pqr/usr/bin/pdb2pqr30 --no-info --version-string $(DEB_VERSION_UPSTREAM) > pdb2pqr30.1
	dh_installman

override_dh_installchangelogs_hide:
	dh_installchangelogs ChangeLog.md

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pdb2pqr.egg-info

=== debian/tests/control ===
Tests: installation-test
Depends: pdb2pqr
Restrictions: allow-stderr

Tests: pdb2pka-test
Depends: @,
Restrictions: allow-stderr

Test-Command: pytest-3
Depends: @, python3-pandas, python3-pytest, python3-testfixtures
